package com.ejie.aa21b.model;

/**
 * Aa21b15s01  
 * 
 *  
 */

public class Aa21b15s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String cusu15;
	private String dusu15;
	private String cserv15;
	private String situ15;
	private String dserv15;
	private String eserv15;
	private String situServ;
	private String bloq15;
	private String usub15;
	private String uxlnet15;
	private String cambioServ15;
	private String cservOld15;

	/**
	 * Method 'Aa21b15s01'.
	 */
	public Aa21b15s01() {
	}

	/**
	 * Method 'Aa21b15s01'.
	 * 
	 * @param cusu15
	 *            String
	 */
	public Aa21b15s01(String cusu15) {
		this.cusu15 = cusu15;
	}

	/**
	 * Method 'Aa21b15s01'.
	 * 
	 * @param cusu15
	 *            String
	 * @param dusu15
	 *            String
	 * @param cserv15
	 *            String
	 * @param situ15
	 *            String
	 * @param dserv15
	 *            String
	 * @param eserv15
	 *            String
	 * @param situServ
	 *            String
	 * @param usub15
	 *            String
	 * @param uxlnet15
	 *            String
	 */
	public Aa21b15s01(String cusu15, String dusu15, String cserv15,
			String situ15, String dserv15, String eserv15, String situServ,
			String usub15, String uxlnet15, String cambioServ15) {

		this.cusu15 = cusu15;
		this.dusu15 = dusu15;
		this.cserv15 = cserv15;
		this.situ15 = situ15;
		this.dserv15 = dserv15;
		this.eserv15 = eserv15;
		this.situServ = situServ;
		this.usub15 = usub15;
		this.uxlnet15 = uxlnet15;
		this.cambioServ15 = cambioServ15;
	}

	/**
	 * Method 'Aa21b15s01'.
	 * 
	 * @param cusu15
	 *            String
	 * @param dusu15
	 *            String
	 * @param cserv15
	 *            String
	 * @param situ15
	 *            String
	 * @param usub15
	 *            String
	 * @param uxlnet15
	 *            String
	 */
	public Aa21b15s01(String cusu15, String dusu15, String cserv15,
			String situ15, String usub15, String cambioServ15) {

		this.cusu15 = cusu15;
		this.dusu15 = dusu15;
		this.cserv15 = cserv15;
		this.situ15 = situ15;
		this.usub15 = usub15;
		this.uxlnet15 = uxlnet15;
		this.cambioServ15 = cambioServ15;
	}

	/**
	 * Method 'getCusu15'.
	 * 
	 * @return String
	 */

	public String getCusu15() {
		return this.cusu15;
	}

	/**
	 * Method 'setCusu15'.
	 * 
	 * @param cusu15
	 *            String
	 * @return
	 */

	public void setCusu15(String cusu15) {
		this.cusu15 = cusu15;
	}

	/**
	 * Method 'getDusu15'.
	 * 
	 * @return String
	 */

	public String getDusu15() {
		return this.dusu15;
	}

	/**
	 * Method 'setDusu15'.
	 * 
	 * @param dusu15
	 *            String
	 * @return
	 */

	public void setDusu15(String dusu15) {
		this.dusu15 = dusu15;
	}

	/**
	 * Method 'getCserv15'.
	 * 
	 * @return String
	 */

	public String getCserv15() {
		return this.cserv15;
	}

	/**
	 * Method 'setCserv15'.
	 * 
	 * @param cserv15
	 *            String
	 * @return
	 */

	public void setCserv15(String cserv15) {
		this.cserv15 = cserv15;
	}

	/**
	 * Method 'getSitu15'.
	 * 
	 * @return String
	 */

	public String getSitu15() {
		return this.situ15;
	}

	/**
	 * Method 'setSitu15'.
	 * 
	 * @param situ15
	 *            String
	 * @return
	 */

	public void setSitu15(String situ15) {
		this.situ15 = situ15;
	}

	/**
	 * Method 'getDserv15'.
	 * 
	 * @return String
	 */
	public String getDserv15() {
		return dserv15;
	}

	/**
	 * Method 'setDserv15'.
	 * 
	 * @param dserv15
	 *            String
	 * @return
	 */
	public void setDserv15(String dserv15) {
		dserv15 = dserv15;
	}

	/**
	 * Method 'getEserv15'.
	 * 
	 * @return String
	 */
	public String getEserv15() {
		return eserv15;
	}

	/**
	 * Method 'setEserv15'.
	 * 
	 * @param eserv15
	 *            String
	 * @return
	 */
	public void setEserv15(String eserv15) {
		eserv15 = eserv15;
	}

	/**
	 * Method 'getSituServ'.
	 * 
	 * @return String
	 */
	public String getSituServ() {
		return situServ;
	}

	/**
	 * Method 'setSituServ'.
	 * 
	 * @param situServ
	 *            String
	 * @return
	 */
	public void setSituServ(String situServ) {
		this.situServ = situServ;
	}

	public String getBloq15() {
		return bloq15;
	}

	public void setBloq15(String bloq15) {
		this.bloq15 = bloq15;
	}

	public String getUsub15() {
		return usub15;
	}

	public void setUsub15(String usub15) {
		this.usub15 = usub15;
	}

	public String getUxlnet15() {
		return uxlnet15;
	}

	public void setUxlnet15(String uxlnet15) {
		this.uxlnet15 = uxlnet15;
	}

	public String getCambioServ15() {
		return cambioServ15;
	}

	public void setCambioServ15(String cambioServ15) {
		this.cambioServ15 = cambioServ15;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ cusu15: ").append(this.cusu15).append(" ]");
		result.append(", [ dusu15: ").append(this.dusu15).append(" ]");
		result.append(", [ cserv15: ").append(this.cserv15).append(" ]");
		result.append(", [ situ15: ").append(this.situ15).append(" ]");
		result.append(", [ dserv15: ").append(this.dserv15).append(" ]");
		result.append(", [ eserv15: ").append(this.eserv15).append(" ]");
		result.append(", [ eserv15: ").append(this.situServ).append(" ]");
		result.append(", [ bloq15: ").append(this.bloq15).append(" ]");
		result.append(", [ usub15: ").append(this.bloq15).append(" ]");
		result.append(", [ uxlnet15: ").append(this.uxlnet15).append(" ]");
		result.append(", [ cambioServ15: ").append(this.cambioServ15)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @param cservOld15
	 *            the cservOld15 to set
	 */
	public void setCservOld15(String cservOld15) {
		this.cservOld15 = cservOld15;
	}

	/**
	 * @return the cservOld15
	 */
	public String getCservOld15() {
		return cservOld15;
	}

}
